×

Discussion Board

Results 1 to 4 of 4
  1. #1
    Registered User
    Join Date
    Jan 2009
    Posts
    3

    Is it actually possible to use Web Developer's Library 1.3 with Aptana?

    Hi,

    I took a look at Aptana and the Nokia WRT plug-in and it looks quite promising. I tried it with the "wizard" applications (rss & flickr) and everything works well. However, I tried an example using the Web Developer's Library 1.3 Service API and it didn't work.

    More specifically, I tried an example which is using the Contacts service and the following call fails: so = device.getServiceObject("Service.Contact", "IDataSource"); with an exception like "device not defined" or something similar.

    I would like to know if previewing/debugging Web Developer's Library 1.3 Service API is possible. This is such a nice suite to work on widgets that if it's 1.3 compatible, I would like to know how to make it work because so far I haven't been able to find any information telling me it can or cannot be used with 1.3 Service API.

    Thank you for your time!

  2. #2
    Registered User
    Join Date
    Feb 2009
    Posts
    21

    Re: Is it actually possible to use Web Developer's Library 1.3 with Aptana?

    API Docs: The plug-in beta includes the current Web Developer's Library 1.3 which includes the WRT APIs 1.1 however, the beta only supports the 1.0 WRT APIs. Note this doesn't stop you from writing 1.1 compatible widgets for but features like code completion do not support the 1.1 APIs at this time.
    That's from the Release Note (Aptana > Help > Help contents >> Web Runtime Plug-in Help). You cannot preview/debug your code if it has any service API calls. SAPI support for the plugin is under development and will be coming in the next major release.

  3. #3
    Registered User
    Join Date
    Jan 2009
    Posts
    3

    Re: Is it actually possible to use Web Developer's Library 1.3 with Aptana?

    Thank you very much for your reply!

    Looking forward to see it in a future release.

  4. #4
    Nokia Developer Moderator
    Join Date
    Jun 2007
    Posts
    219

    Re: Is it actually possible to use Web Developer's Library 1.3 with Aptana?

    Quote Originally Posted by Kinlhar View Post
    Thank you very much for your reply!

    Looking forward to see it in a future release.
    Hi Kinlhar,

    send me a mail at ung-ping.tian@nokia.com. i will alert you when the next version of Aptana that support SAPI is available.

    cheers!
    Ung-Ping

Similar Threads

  1. Replies: 37
    Last Post: 2008-07-16, 05:17
  2. Can't get around "Program is not a recognized executable" when trying to debug my app
    By leisti in forum Carbide.c++ IDE and plug-ins (Closed)
    Replies: 5
    Last Post: 2008-06-27, 16:32
  3. install 3rd library on carbide 1.3
    By fabiolombardi in forum Symbian Tools & SDKs
    Replies: 7
    Last Post: 2008-06-11, 11:57
  4. question where save file
    By silviuccia in forum Symbian
    Replies: 15
    Last Post: 2008-02-13, 15:57
  5. Developers Library Eclipse Plugin
    By trapd in forum Carbide.c++ IDE and plug-ins (Closed)
    Replies: 2
    Last Post: 2007-04-04, 10:34

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •